Bug 1463469 - Unable to see options '--content-view' and '--content-view-id' under 'hammer host update'
Unable to see options '--content-view' and '--content-view-id' under 'hammer...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content (Show other bugs)
6.2.9
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 22:03 EDT by vijsingh
Modified: 2018-02-02 15:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-02 15:08:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vijsingh 2017-06-20 22:03:43 EDT
Description of problem:

After upgrade the Satellite from 6.1.11 to 6.2.9 unable to see options  '--content-view' and '--content-view-id' under 'hammer host update'.

Version-Release number of selected component (if applicable):

Satellite 6.2.9

tfm-rubygem-hammer_cli-0.5.1.13-2.el7sat.noarch

How reproducible:

Always

Steps to Reproduce:
1. Upgrade Satellite host from 6.1.11 to 6.2.9
2. Run below:
   
  # hammer host update -h |grep -i content-view


Actual results:

# hammer host update -h |grep -i content-view

Expected results:

# hammer host update -h |grep -i content-view
 --content-view CONTENT_VIEW_NAME                    Name to search by
 --content-view-id CONTENT_VIEW_ID                   content view numeric identifier


Additional info:

tfm-rubygem-hammer_cli-0.5.1.13-2.el7sat.noarch
Comment 2 Mike McCune 2017-07-10 16:10:20 EDT
this can be resolved by running:

# foreman-rake apipie:cache

on your server. Going to close this out as NOTABUG but feel free to re-open if the above command does not resolve the issue.
Comment 7 jcallaha 2018-02-02 14:38:21 EST
These are currently available in 6.2.13 as well as our 6.3 builds.

[root@hp-xl190rgen9-01 ~]# hammer host update --help | grep content
 --content-view CONTENT_VIEW_NAME                    Name to search by
 --content-view-id CONTENT_VIEW_ID                   content view numeric identifier

[root@hp-xl190rgen9-01 ~]# rpm -q satellite
satellite-6.2.13-4.0.el7sat.noarch


-bash-4.2# hammer host update --help | grep content
 --content-source-id CONTENT_SOURCE_ID                
 --content-view CONTENT_VIEW_NAME                    Name to search by
 --content-view-id CONTENT_VIEW_ID                   content view numeric identifier

-bash-4.2# rpm -q satellite
satellite-6.3.0-23.0.el7sat.noarch
Comment 8 Bryan Kearney 2018-02-02 15:08:03 EST
Per Comment 7, closing this as current release.

Note You need to log in before you can comment on or make changes to this bug.